Subject: RE: [manet] Re: I-D Action:draft-ietf-manet-iana-06.txt

From: "Teco Boot" <[email-masked]>
Date: Thu, 1 Nov 2007 08:40:43 +0100

I am sorry. I agree on not handling this in packetbb right now. But I cannot
accept that it is not written down and simultaneously the authors of the
draft have strong opinions on it.
By the way, another author attaches a high value on integrity control in
packetbb, another _long_ discussion is happening on the ML. Simply writing
down what we do helps.

Word "integrity" is not mentioned in packetbb draft.
Word "transport" is mentioned, and immediately I am confused. It is about
pkt-length, what to do when a transport protocol has length information and
when it has not. Different rules on how the pkt-length is being used. Sorry,
this needs to be fixed. Otherwise, I am almost sure incompatible
implementations will pop up which aims that they are both fully compliant
with the standard. I think this is not acceptable.

Teco

> -----Oorspronkelijk bericht-----
> Van: Ian Chakeres [mailto:[email-masked]]
> Verzonden: donderdag 1 november 2007 3:18
> Aan: Teco Boot
> CC: Dearlove, Christopher (UK); manet
> Onderwerp: Re: [manet] Re: I-D Action:draft-ietf-manet-iana-06.txt
> 
> I do not think any modification needs to be made to PacketBB regarding
> this matter. In the future, we can specify additional
> behavior/protocols if/when it is needed.
> 
> As Chris stated, transport and integrety are not handled in PacketBB.
> 
> I could see the possible insertion of some text in NHDP, DYMO, OLSRv2,
> and potentially another draft specifying an integrity TLV.
> 
> Ian
> 
> On 10/31/07, Teco Boot <[email-masked]> wrote:
> > > > Anyway, we have to update the packetbb document for it. Right
> now, it
> > > is
> > > > tailored for UDP and not for IP.
> > >
> > > Actually, no it isn't. The letters "UDP" do not appear anywhere
> > > in it. They used to (but only as an example), now they don't
> > > appear at all. This was for this very reason.
> >
> > Partly agreed: UDP is not mentioned in packetbb.
> > Partly not agreed: OLSR, NHDP and DYMO mentions UDP.
> >
> > My main concern is that if someone wants to use the manet IP_PROTO
> and
> > packetbb, something is missing. I don't like a transport protocol
> that does
> > not implement some kind of error detection.
> > Ian's proposal that it can be added in a future extension is
> acceptable for
> > me. Can we add some words on this in packetbb? I prefer text
> specifying that
> > it is required that lower layers MUST fulfill needs for integrity in
> case
> > packetbb does not provide such.
> > Otherwise, I am against requesting IP_PROTO.
> >
> > Teco.
> >
> >
> >

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Thu, 1 Nov 2007 10:12:39 -0000

> draft have strong opinions on it.

Well, in an ideal world I'd sit down and write an integrity TLV
ID right now. Unfortunately it is not that real world, and even
the time I'm spending on the list is more than I really have to
spare.

> Word "integrity" is not mentioned in packetbb draft.

By intent.

> Word "transport" is mentioned, and immediately I am confused.

That could/should be changed. Here "transport" really means carrying/
encapsulating, whether strictly a network or transport layer protocol.

> It is about

There's no ambiguity, it doesn't say use either, it says "use packet
length
here if present, otherwise use length from (transport, but see above)
protocol",
a clear order of priority. I see no reason to change that. (Had it not
given
a priority I would have agreed with you.)

********************************************************************
This email and any attachments are confidential to the intended
recipient and may also be privileged. If you are not the intended
recipient please delete it from your system and notify the sender.
You should not copy it or use it for any purpose nor disclose or
distribute its contents to any other person.
********************************************************************